xoops forums

jlm69

Module Developer
Posted on: 2014/5/18 20:36
jlm69
jlm69 (Show more)
Module Developer
Posts: 719
Since: 2002/7/19
#1

Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

I have finished my Alumni module for Xoops 2.6.0 and will be releasing it this week.

I WILL BE RELEASING THIS FOR TESTING AND INFORMATIONAL USE ONLY.
It is for Xoops 2.6.0 ALPHA from GitHub

Normally I would not release anything for an ALPHA version of Xoops, but I need to be ready.
The only reason I am calling it ALPHA is because Xoops 2.6.0 is ALPHA.
It works great for me so far, a couple issues but I don't know if it is Xoops or me yet.
I don't expect it will work in the future but I needed to be more ready than I was, when a new release from Xoops comes.

I have already done a lot of work just to make it work with this ALPHA version of Xoops.

My modules as well as many other Xoops modules were not built with object orientated php, which is weird because Xoops has object orientated in its name.

I am so glad that this module is now OOPSed or close enough for now. Classifieds is almost finished too. I have not started the Jobs module yet, as it will be the hardest.
that's why I started with the Alumni module.

There are many file changes in this version,.
You can use your old Alumni database and Photos But everything else will need to be deleted.
I am putting all the photos in one folder called photos, in that folder will be grad_photo, now_photo and school_photos all will need to be writable.
I have also added tablesorter to the categories pages as well as the listing section in the admin.
Tablesorter is a jquery script for sorting and pagination, I love it. I hope I can keep it for the final version.

Tablesorter comes from here:
http://mottie.github.io/tablesorter/docs/index.html


The best thing about ALPHA software is that you can ask for new features and if I like them and I think I can impliment them, I will.

I know I need to do something better for the photos, but it's ALPHA.



I have tested this module on the following servers:


PHP Version 5.3.26
mySQL Version 5.5.36-cll
Server API cgi-fcgi

AND

PHP Version 5.5.11 & 5.5.12
mySQL Version 5.5.36-MariaDB
Server API apache2handler

And everything works for me. Knock on wood.

If you have any issues with this module please report it here on Xoops.

I have some questions about where 2.6.0 is going.

1. Will the folder locale eventually replace the language folder?
2. I still think there is something wrong with notifications, a regular user can't access that area at all.
3. The search doesn't seem to remember the andor, it always goes to ALL(AND). So I removed it
from my module, it was probably confusing anyway.

I am curious to see what a php guru thinks of what I have done, and what I did wrong.


Thanks,

John

zyspec

Module Developer
Posted on: 2014/5/19 2:08
zyspec
zyspec (Show more)
Module Developer
Posts: 1043
Since: 2004/9/21
#2

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

This is great news John. I'll be interested to go through your code to see what you've had to do to get it operational. Any chance the release notes are complete enough to give a hint as to the major tasks? (e.g. used classes for all CRUD operations, had to modify templates with specific changes, etc.)?

Mamba

Moderator
Posted on: 2014/5/19 13:42
Mamba
Mamba (Show more)
Moderator
Posts: 10797
Since: 2004/4/23
#3

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

Quote:
This is great news John.

+1
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

jlm69

Module Developer
Posted on: 2014/5/27 21:45
jlm69
jlm69 (Show more)
Module Developer
Posts: 719
Since: 2002/7/19
#4

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub - Released

Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

I HAVE RELEASED THIS FOR TESTING AND INFORMATIONAL USE ONLY.
It is for Xoops 2.6.0 ALPHA from GitHub

When I started my goal was to allow my module to work with Xoops 2.6.0 ALPHA and make every page work with no errors, warnings or depreciated functions.
I think I have done that. Except for 1 notice in the search pages, will fix that eventually.

Any database calls that use fetchRow or getRowsNum needed to be replaced.
even others when you change $xoppsDB to $xoops->db() would blowup the page.
Basically I had to remove all database calls and do it through classes.
Had to totally redo the search pages.

I used a few modules for examples of what I needed to do, they are
mylinks, page, publisher, profile and new and old versions of wfdownloads

Because I am using tablesorter I have moved the use banner code or index code to the top of the listings instead of somewhere in between listings.(just in category pages)
on the alumni home page the use banner code or index code still works the same.


TO DO:

* Have not updated the waiting plugin
* Notifications don't work because a regular user can not access that area, so I can't test it.
* Will only work with the 'use_categories' config option set to yes, I haven't gone through it and added that, wondering if I need that.
* Rewrite the sendfriend page.
* Rewrite the print page.
* Add IP log to contact page.


And everything works for me. Knock on wood.

You can get it HERE!

If you have any issues with this module please report it on Xoops.


Thanks,

John

Mamba

Moderator
Posted on: 2014/5/31 4:18
Mamba
Mamba (Show more)
Moderator
Posts: 10797
Since: 2004/4/23
#5

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub - Released

when I click on Install, I am getting fatal error:

( ! ) Fatal error: Class 'Xoops_Module_Helper_Abstract' not found in S:\wamp64\www\260test\modules\alumni\class\helper.php on line 25
Call Stack
#    Time    Memory    Function    Location
1    0.0000    343496    {main}( )    ..\admin.php:0
2    0.1550    9822912    Xoops
->header( )    ..\admin.php:96
3    0.1750    11027704    XoopsGuiDefault
->header( )    ..\Xoops.php:548
4    0.2480    12148784    SystemModule
->getModuleList( )    ..\default.php:105
5    0.2750    12842104    XoopsModule
->getAdminMenu( )    ..\module.php:130
6    0.2750    12842104    XoopsModule
->loadAdminMenu( )    ..\module.php:215
7    0.2750    12854752    
include( 'S:\wamp64\www\260test\modules\alumni\admin\menu.php' )    ..\module.php:202
8    0.2760    12865976    
include_once( 'S:\wamp64\www\260test\modules\alumni\include\common.php' )    ..\menu.php:6
9    0.2760    12867456    spl_autoload_call 
( )    ..\menu.php:38
10    0.2760    12868648    XoopsLoad
::load( )    ..\menu.php:0
11    0.2760    12869032    XoopsLoad
::loadCore( )    ..\xoopsload.php:107
12    0.2760    12882120    
require( 'S:\wamp64\www\260test\modules\alumni\class\helper.php' )    ..\xoopsload.php:130
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Mamba

Moderator
Posted on: 2014/5/31 4:50
Mamba
Mamba (Show more)
Moderator
Posts: 10797
Since: 2004/4/23
#6

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub - Released

OK, the offending code "Xoops_Module_Helper_Abstract" as in:

class Alumni extends Xoops_Module_Helper_Abstract

needs to be changed to "Xoops\Module\Helper\HelperAbstract" as in:

class Alumni extends Xoops\Module\Helper\HelperAbstract


The same has to be done for instances of: "extends Xoops_Module_Plugin_Abstract", so it becomes:

class AlumniSearchPlugin extends Xoops\Module\Plugin\PluginAbstract


Similarly, calls to "XoopsModuleAdmin", as in:

$admin_page = new XoopsModuleAdmin();


should be replaced with "\Xoops\Module\Admin", so it looks like this:

$admin_page = new XoopsModuleAdmin();


This is because XOOPS 2.6.0 is using PHP Namespaces, and Richard is making use on Namespaces more and more consistent across the whole Core.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Mamba

Moderator
Posted on: 2014/5/31 7:41
Mamba
Mamba (Show more)
Moderator
Posts: 10797
Since: 2004/4/23
#7

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub - Released

Jim, are you planning to post your code on GitHub so we could contribute changes? Do you have already a GitHub account so we could fork Alumni from there?
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

jlm69

Module Developer
Posted on: 2014/5/31 12:00
jlm69
jlm69 (Show more)
Module Developer
Posts: 719
Since: 2002/7/19
#8

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

You must have an even newer version of Xoops than me. I will see about updating mine.
I don't plan on opening an account on GitHub.
Thanks for the input.
If those caused errors then there would probably be alot of others, right?

Thanks,

John

jlm69

Module Developer
Posted on: 2014/5/31 16:33
jlm69
jlm69 (Show more)
Module Developer
Posts: 719
Since: 2002/7/19
#9

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

O.K. I fixed it. It should work now.

Thanks,
John

jlm69

Module Developer
Posted on: 2015/6/1 22:09
jlm69
jlm69 (Show more)
Module Developer
Posts: 719
Since: 2002/7/19
#10

Re: Alumni version 3.1 ALPHA for Xoops 2.6.0 ALPHA from GitHub

I have just released the second version of Alumni 3.1 ALPHA.

You can get Alumni 3.1 ALPHA 2 HERE

This works for me with Xoops 2.6.0 ALPHA on Github as of today.

Thanks,
John